Bug 524002 - neon upstream testsuite fails on s390x
Summary: neon upstream testsuite fails on s390x
Keywords:
Status: CLOSED DEFERRED
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: neon
Version: 5.4
Hardware: s390x
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Joe Orton
QA Contact: BaseOS QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-17 14:52 UTC by Miroslav Vadkerti
Modified: 2012-06-25 10:29 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-06-25 10:29:50 UTC


Attachments (Terms of Use)

Description Miroslav Vadkerti 2009-09-17 14:52:08 UTC
Description of problem:
The upstream suite fails on s390x architecture with the following error:

-> running `uri-tests':
 0. simple................ pass
 1. simple_ssl............ pass
 2. no_path............... pass
 3. escapes............... pass
 4. parents............... pass
 5. compares.............. pass
 6. cmp................... FAIL (relative ordering of URIs with different path incorrect)
 7. children.............. pass
 8. slash................. pass
 9. just_hostname......... pass
10. just_path............. pass
11. default_port.......... pass
12. parse................. pass
13. failparse............. pass
14. unparse............... pass
<- summary for `uri-tests': of 15 tests run: 14 passed, 1 failed. 93.3%
FAILURE

Version-Release number of selected component (if applicable):
neon-0.25.5-10.el5.s390x

How reproducible:
always

Steps to Reproduce:
1. execute RHTS test /CoreOS/neon/Sanity/upstream-testsuite on s390x
  
Actual results:
test fails with 1 error

Expected results:
no errors

Additional info:
On other architectures (except ppc where the test can't be compiled) the test passes.

Comment 2 RHEL Product and Program Management 2009-11-06 19:04:40 UTC
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".


Note You need to log in before you can comment on or make changes to this bug.